> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get approvalresource

> Retrieves the list of ResourceApproval identified by the **sysidResource** path parameter value.

The requesting User must have the following rights to perform this task:

This operation requires a **Numeric Resource SYSID** value passed as the path parameter for the operation.

This operation returns a ResourceApprovalsWrapper value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /approval/resource/{sysidResource}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /approval/resource/{sysidResource}:
    get:
      tags:
        - ApprovalsService
      description: >-
        Retrieves the list of ResourceApproval identified by the
        **sysidResource** path parameter value.


        The requesting User must have the following rights to perform this task:


        This operation requires a **Numeric Resource SYSID** value passed as the
        path parameter for the operation.


        This operation returns a ResourceApprovalsWrapper value.
      operationId: getApprovalFlowsForResource
      parameters:
        - name: sysidResource
          in: path
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    approvalFlows:
                      - sysidResourceApproval: 12345
                        approvalFlow:
                          name: ...
                          approvalSteps:
                            - {}
                            - {}
                          sysidApprovalFlow: 12345
                          requestorGroups:
                            - {}
                            - {}
                          sysidAccount: 12345
                        sysidApprovalFlow: 12345
                        sysidResource: 12345
                      - sysidResourceApproval: 12345
                        approvalFlow:
                          name: ...
                          approvalSteps:
                            - {}
                            - {}
                          sysidApprovalFlow: 12345
                          requestorGroups:
                            - {}
                            - {}
                          sysidAccount: 12345
                        sysidApprovalFlow: 12345
                        sysidResource: 12345
              schema:
                $ref: '#/components/schemas/ResourceApprovalsWrapper'
          description: >-
            Container of ResourceApproval array which contains all
            ResourceApproval entities associated with the resource.


            com.agilquest.phoenix.shared.data.rest.wrapper.ApprovalFlowWrapper
components:
  schemas:
    ResourceApprovalsWrapper:
      type: object
      title: ResourceApprovalsWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            approvalFlows:
              type: array
              items:
                $ref: '#/components/schemas/ResourceApproval'
      example:
        approvalFlows:
          - sysidResourceApproval: 12345
            approvalFlow:
              name: ...
              approvalSteps:
                - {}
                - {}
              sysidApprovalFlow: 12345
              requestorGroups:
                - {}
                - {}
              sysidAccount: 12345
            sysidApprovalFlow: 12345
            sysidResource: 12345
          - sysidResourceApproval: 12345
            approvalFlow:
              name: ...
              approvalSteps:
                - {}
                - {}
              sysidApprovalFlow: 12345
              requestorGroups:
                - {}
                - {}
              sysidAccount: 12345
            sysidApprovalFlow: 12345
            sysidResource: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ResourceApproval:
      type: object
      title: ResourceApproval
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidResourceApproval:
              type: integer
              format: int32
            approvalFlow:
              $ref: '#/components/schemas/ApprovalFlow'
            sysidApprovalFlow:
              type: integer
              format: int32
            sysidResource:
              type: integer
              format: int32
      example:
        sysidResourceApproval: 12345
        approvalFlow:
          name: ...
          approvalSteps:
            - sysidApproverGroup: 12345
              sysidApprovalStep: 12345
              approverGroup: {}
              approveOrder: 12345
            - sysidApproverGroup: 12345
              sysidApprovalStep: 12345
              approverGroup: {}
              approveOrder: 12345
          sysidApprovalFlow: 12345
          requestorGroups:
            - userGroup: {}
              sysidUserGroup: 12345
              sysidFlowRequestorGroup: 12345
            - userGroup: {}
              sysidUserGroup: 12345
              sysidFlowRequestorGroup: 12345
          sysidAccount: 12345
        sysidApprovalFlow: 12345
        sysidResource: 12345
    ApprovalFlow:
      type: object
      title: ApprovalFlow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            approvalSteps:
              type: array
              items:
                $ref: '#/components/schemas/ApprovalStep'
            sysidApprovalFlow:
              type: integer
              format: int32
            requestorGroups:
              type: array
              items:
                $ref: '#/components/schemas/ApprovalFlowRequestorGroup'
            sysidAccount:
              type: integer
              format: int32
      example:
        name: ...
        approvalSteps:
          - sysidApproverGroup: 12345
            sysidApprovalStep: 12345
            approverGroup:
              sysidApproverGroup: 12345
              groupMembers:
                - {}
                - {}
              name: ...
              sysidAccount: 12345
            approveOrder: 12345
          - sysidApproverGroup: 12345
            sysidApprovalStep: 12345
            approverGroup:
              sysidApproverGroup: 12345
              groupMembers:
                - {}
                - {}
              name: ...
              sysidAccount: 12345
            approveOrder: 12345
        sysidApprovalFlow: 12345
        requestorGroups:
          - userGroup:
              resourceAllocations:
                - {}
                - {}
              internalGroup: true
              groupMembers:
                - {}
                - {}
              name: ...
              sysidUserGroup: 12345
              description: ...
            sysidUserGroup: 12345
            sysidFlowRequestorGroup: 12345
          - userGroup:
              resourceAllocations:
                - {}
                - {}
              internalGroup: true
              groupMembers:
                - {}
                - {}
              name: ...
              sysidUserGroup: 12345
              description: ...
            sysidUserGroup: 12345
            sysidFlowRequestorGroup: 12345
        sysidAccount: 12345
    ApprovalStep:
      type: object
      title: ApprovalStep
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidApproverGroup:
              type: integer
              format: int32
            sysidApprovalStep:
              type: integer
              format: int32
            approverGroup:
              $ref: '#/components/schemas/ApprovalApproverGroup'
            approveOrder:
              type: integer
              format: int32
      example:
        sysidApproverGroup: 12345
        sysidApprovalStep: 12345
        approverGroup:
          sysidApproverGroup: 12345
          groupMembers:
            - sysidApproverMember: 12345
              sysidUser: 12345
            - sysidApproverMember: 12345
              sysidUser: 12345
          name: ...
          sysidAccount: 12345
        approveOrder: 12345
    ApprovalFlowRequestorGroup:
      type: object
      title: ApprovalFlowRequestorGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            userGroup:
              $ref: '#/components/schemas/UserGroup'
            sysidUserGroup:
              type: integer
              format: int32
            sysidFlowRequestorGroup:
              type: integer
              format: int32
      example:
        userGroup:
          resourceAllocations:
            - sysidUserGroupAllocation: 12345
              sysidResourceGroup: 12345
              sysidAllocationRelationshipType: 12345
            - sysidUserGroupAllocation: 12345
              sysidResourceGroup: 12345
              sysidAllocationRelationshipType: 12345
          internalGroup: true
          groupMembers:
            - sysidUserGroupMember: 12345
              sysidApplicationUser: 12345
            - sysidUserGroupMember: 12345
              sysidApplicationUser: 12345
          name: ...
          sysidUserGroup: 12345
          description: ...
        sysidUserGroup: 12345
        sysidFlowRequestorGroup: 12345
    ApprovalApproverGroup:
      type: object
      title: ApprovalApproverGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidApproverGroup:
              type: integer
              format: int32
            groupMembers:
              type: array
              items:
                $ref: '#/components/schemas/ApprovalApproverMember'
            name:
              type: string
            sysidAccount:
              type: integer
              format: int32
      example:
        sysidApproverGroup: 12345
        groupMembers:
          - sysidApproverMember: 12345
            sysidUser: 12345
          - sysidApproverMember: 12345
            sysidUser: 12345
        name: ...
        sysidAccount: 12345
    UserGroup:
      type: object
      title: UserGroup
      required:
        - internalGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            resourceAllocations:
              type: array
              items:
                $ref: '#/components/schemas/UserGroupAllocation'
            internalGroup:
              type: boolean
            groupMembers:
              type: array
              items:
                $ref: '#/components/schemas/UserGroupMember'
            name:
              type: string
            sysidUserGroup:
              type: integer
              format: int32
            description:
              type: string
      example:
        resourceAllocations:
          - sysidUserGroupAllocation: 12345
            sysidResourceGroup: 12345
            sysidAllocationRelationshipType: 12345
          - sysidUserGroupAllocation: 12345
            sysidResourceGroup: 12345
            sysidAllocationRelationshipType: 12345
        internalGroup: true
        groupMembers:
          - sysidUserGroupMember: 12345
            sysidApplicationUser: 12345
          - sysidUserGroupMember: 12345
            sysidApplicationUser: 12345
        name: ...
        sysidUserGroup: 12345
        description: ...
    ApprovalApproverMember:
      type: object
      title: ApprovalApproverMember
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidApproverMember:
              type: integer
              format: int32
            sysidUser:
              type: integer
              format: int32
      example:
        sysidApproverMember: 12345
        sysidUser: 12345
    UserGroupAllocation:
      type: object
      title: UserGroupAllocation
      required:
        - sysidResourceGroup
        - sysidAllocationRelationshipType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserGroupAllocation:
              type: integer
              format: int32
            sysidResourceGroup:
              type: integer
              format: int32
            sysidAllocationRelationshipType:
              type: integer
              format: int32
      example:
        sysidUserGroupAllocation: 12345
        sysidResourceGroup: 12345
        sysidAllocationRelationshipType: 12345
    UserGroupMember:
      type: object
      title: UserGroupMember
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserGroupMember:
              type: integer
              format: int32
            sysidApplicationUser:
              type: integer
              format: int32
      example:
        sysidUserGroupMember: 12345
        sysidApplicationUser: 12345

````